MAC Address for Layer 3 Link Local Discovery Protocol (LLDP)
Internet-Draft
Donald E. Eastlake 3rd
Independent
2386 Panoramic Circle
Apopka
Florida
32703
USA
+1-508-333-2270
d3e3e3@gmail.com
2024-06-17
Network Working Group
IEEE 802 has defined a number of protocols which can operate between adjacent Ethernet stations at Layer 2, including bridges, and may be useful between Layer 3 aware stations such as IP routers and hosts. An example is the Link Layer Discover Protocol (IEEE Std 802.1AB, LLDP). This document specifies a MAC address that can be used for this purpose for interoperability despite intervening bridges.
Introduction
IEEE 802 [IEEE802] has defined a number of protocols which operate between adjacent Ethernet stations at Layer 2, including bridges, such as the Link Layer Discover Protocol ([IEEE802.1AB] LLDP) and the Link Aggregation Control Protocol ([IEEE802.1AX] LACP). LLDP and other such protocols may be useful between adjacent Layer 3 [ISO] aware stations such as IP routers and hosts. This document specifies a MAC address that can be used for that purpose despite intervening bridges.
Notations Used in This Document
The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT", "SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED", "MAY", and "OPTIONAL" in this document are to be interpreted as described in BCP 14 [RFC2119] [RFC8174] when, and only when, they appear in all capitals, as shown here.
In this document the terms/acronyms listed below have the indicated meaning:
"LACP"
Link Aggregation Control Protocol [IEEE802.1AX].
"Layer 2"
Layer 2 in the ISO model [ISO].
"Layer 3"
Layer 3 in the ISO model [ISO].
"LLDP"
Link Layer Discovery Protocol [IEEE802.1AB].
"MAC"
Media Access Control [RFC9542] (not Message Authentication Code).
"PDU"
Protocol Data Unit.
Network Layers and MAC Addresses
LLDP [IEEE802.1AB] is a Layer 2 [ISO] protocol providing for the unacknowledged announcement of information by an Ethernet station to other stations on the same Ethernet link. There are proposals for the use of LLDP between L3 aware stations such as between a host and its first hop IP router or between IP adjacent routers. Examples are [LLDP1] [LLDP2] [LLDP3].
As illustrated in the figure below, uses of LLDP and similar protocols between Ethernet stations have a scope of adjacency controlled by the multicast destination MAC address [RFC9542] of the Ethernet frame used to transmit the LLDP PDU.
- Customer bridges use 0x0180C2000000 for LLDP and the like. Frames sent to that address are transparently forwarded through any lower level bridges, such as the provider bridges shown below. On the other hand, IP routers do not forward frames sent to unknown multicast addresses unless configured to do so. Thus, frames sent to this address by the customer bridge shown near the bottom of the figure will not reach either of the customer bridges shown higher up in the figure due to the intervening IP router.
- Provider bridges use 0x0180C2000008 for LLDP. Frames sent to that address are transparently forwarded by lower level bridges (not shown in the figure) and are blocked by higher level bridges, such as customer bridges. They are also blocked as described in the previous point by IP routers.
LLDP or similar Ethernet frames intended to be between adjacent IP routers or between a host and its first hop IP router need to avoid use of a destination MAC address that might be intercepted by any intervening bridge. The multicast destination MAC addresses used by bridges are the block from 0x0180C2000000 to 0x0180C200003F but it would be best to be conservative and avoid all addresses from 0x0180C2000000 to 0x0180C2FFFFFF. An address meeting this criterion is specified in Section 3 below and its use is RECOMMENDED.
Geneve Header

 +-------+
 |  Host |
 +-------+
     |
+---------+
|L3 Router|
+---------+
     .     \
     .      +---------------+
     .      |Customer Bridge|
     .      +---------------+
     .              :        \
     .              :         +---------------+
     .              :         |Provider Bridge|
     .              :         +---------------+
     .              :                |
     .              :         +---------------+
     .              :         |Provider Bridge|
     .              :         +---------------+
     .              :        /
     .      +---------------+
     .      |Customer Bridge|
     .      +---------------+
     .     /
+---------+
|L3 Router|
+---------+
     .     \
     .      +---------------+
     .      |Customer Bridge|
     .      +---------------+
     .     /
 +-------+
 |  Host |
 +-------+

Note: The above figure is simplified. For example, where one or two customer bridges or provider bridges are shown, there could be zero or some larger number. There could also be one or more bridges between the host shown at the top of the figure and its first hop IP router. Only two levels of bridge are shown (customer and provider) but [IEEE802.1Q] specifies additional levels of bridges.
IANA Considerations
IANA is requested to assign a 48-bit multicast MAC address [0x00000E900004 suggested] under the IANA OUI for use with Link Layer Discovery Protocol and similar protocols between Layer 3 routers as per the request in Appendix A. The entry in the "IANA Multicast 48-bit MAC Addresses" registry is as follows:

 Addresses   Usage                      Reference
---------  -------------------------  ---------------
 [tbd]     Layer 3 LLDP and the like  [this document]

(Alternatively, there could be more than on MAC address assigned for different L3 or higher layer [ISO] purposes.)
Security Considerations
TBD
Normative References
[IEEE802.1AB]

IEEE Standard for Local and metropolitan area networks - Station and Media Access Control Connectivity Discovery
IEEE 802
29 January 2016
IEEE Std 802.1AB-2016
Informative References
[IEEE802.1AX]

IEEE Standard for Local and metropolitan area networks - Link Aggregation
IEEE 802
IEEE Std 802.1AX-2014
[IEEE802.1Q]

Bridges and Bridged Networks
IEEE 802.1 Working Group
Institute for Electrical and Electronic Engineers
3 November 2014
IEEE Std 802.1Q-2014
[IEEE802]

IEEE 802 LAN/MAN Standards Committee
IEEE 802
IEEE Std 802
[ISO]

Information technology - Open Systems Interconnection - Basic Reference Model: The Basic Model
ISO/IEC
15 June 1996
ISO/IEC 7498-1:1994(E)
[LLDP1]

BGP Logical Link Discovery Protocol (LLDP) Peer Discovery
A. Lindem
K. Patel
S. Zandi
J. Haas
X. Xu
Work in progress
[LLDP2]

LSVR IETF Organizationally Specific TLVs for IEEE Std 802.1AB (LLDP)
P. Congdon
P. Bottorff
work in progress
[LLDP3]

Autonomic Control Plane design for Layer-Two Switched Networks
M. Richardson
L. Xia
Work in progress
[RFC2119]
[RFC8174]
[RFC9542]
EUI-48 Assignment Request
(not yet submitted)
Applicant Name: Donald E. Eastlake III
Applicant Email: d3e3e3@gmail.com
Applicant Telephone: +1-508-333-2270
Use Name: L3-LLDP
Document: [this document]
Specify whether this is an application for EUI-48 or EUI-64 identifiers: EUI-48
Size of Block requested: 1
Specify multicast, unicast, or both: multicast